Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/36838/?format=api
{ "ob_id": 36838, "uuid": "1782a24b8eb7444ea72b7058c56bef0f", "title": "Radar data from Chilbolton Triple Wavelength Experiment", "abstract": "Radar data collected in ice-phase clouds at the Chilbolton Observatory using radars at 3, 35 and 94 GHz during 2014-2015. The experimental setup is described in Stein et al (2015) DOI: 10.1002/2014GL062170 - see related documents section on this record. Raw pulse-to-pulse data were collected from all 3 radars, and have been post processed to common, synchronised time bins, for maximum ease of colocation.\r\n\r\nThese data were produced as part of the NERC funded Exploiting multi-wavelength radar Doppler spectra to characterise the microphysics of ice hydrometeors project (grant reference: NE/K012444/1).", "keywords": "ice-phase, radar", "publicationState": "citable", "dataPublishedTime": "2022-03-18T11:34:12", "doiPublishedTime": "2022-04-07T12:58:35.644748", "updateFrequency": "notPlanned", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/36839/?format=api", "dataPath": "/badc/deposited2022/radar_data_triple_wavelength/data/", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 35377972, "numberOfFiles": 8, "fileFormat": "Data are NetCDF formatted with version 1.6 CF-standard metadata." }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/10185/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/3375/?format=api", "nonGeographicFlag": false, "phenomena": [ "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/47273/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/47274/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/47275/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/47276/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/47277/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/47278/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/47279/?format=api" ], "dataLineage": "Data prepared by project PI and supplied to the data centre for long term archiving", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/12080/?format=api" ], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/36840/?format=api" ], "observationcollection_set": [], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/176358/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/176359/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/176360/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/176361/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/176362/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/176363/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/176368/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/176369/?format=api" ], "procedureAcquisition": "https://api.catalogue.ceda.ac.uk/api/v2/acquisitions/36841/?format=api", "procedureCompositeProcess": null, "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2526/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "public", "accessRoles": null, "label": "public: None group", "licenceURL": "http://www.nationalarchives.gov.uk/doc/open-government-licence/version/3/", "licenceClassifications": "any" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }